Forum Linux.général Utiliser prioritairement HTML5 sur les sites de vidéos qui le proposent

Posté par .
Tags : aucun
2
2
mai
2012

Bonjour.

Sur ma Wheezy, j'ai gnash et je n'ai pas le lecteur flash. Dailymotion propose toutes ses videos en HTML5 et Youtube une partie. C'est bien. Seulement par défaut, c'est en flash.

Pour avoir droit à la version HTML5, j'utilise Midori : Pour une raison que j'ignore, le plugin gnash n'est pas présent ou ne fonctionne pas dans Midori (et ça me va très bien puisque c'est sans doute la raison pour laquelle les vidéos me sont proposées en HTML5).

Je souhaite conserver gnash parce que ça dépanne quand on tombe sur le site d'un neuneu avec des boutons de navigation en flash (le neuneu en question est un employeur potentiel, c'est terrible mais c'est comme ça). Et c'est pénible de devoir lancer Midori et copier-coller l'URL quand on en a besoin.

Je suppose qu'il y a un script qui détecte si on a un plugin flash ou compatible et qui propose la version flash en conséquence.

Alors il y a peut-être moyen de feinter en faisant en sorte que le navigateur ne donne pas cette information, pour que le site considère qu'on a pas de plugin flash du tout. Et pour autant, le plugin gnash sera toujours actif pour les bouts de flash qui se présentent.

C'est possible ? Je fais fausse route ? Ça devrait marcher même sans faire tout ça mais c'est ma config qui a un problème ?

Il y aurait peut-être des solutions spécifiques à chaque site (greasemonkey,…) mais je cherche une solution globale et simple.

  • # Flashblock?

    Posté par (page perso) . Évalué à 3.

    Si tu utilises ce plugin pour FF, ca devrait le faire, non?
    Sinon, seules les nouvelles vidéos sont disponibles en HTML5 (webM ou h264 selon la plateforme). Pour les anciennes, la plupart des cas, elles n'ont pas été (encore) converties et ne sont donc disponibles qu'en Flash.

    • [^] # Re: Flashblock?

      Posté par . Évalué à 2.

      Si tu utilises ce plugin pour FF, ca devrait le faire, non?

      Ben non. La page est envoyée avec la video en flash, et flashblock la cache. (En fait j'utilise déjà Flashblock.)

      Sinon, seules les nouvelles vidéos sont disponibles en HTML5 (webM ou h264 selon la plateforme). Pour les anciennes, la plupart des cas, elles n'ont pas été (encore) converties et ne sont donc disponibles qu'en Flash.

      Oui, j'ai vu. Avec DM je crois qu'elles le sont toutes. Avec YT il y en a déjà pas mal.

  • # swfdec, lightspark

    Posté par (page perso) . Évalué à 3.

    Parce que ce projet est inactif depuis plusieurs années n'empêche pas swfdec de mieux marcher sur les éléments réalisés avec Flash 9 et suivants.

    Il existe un ppa pour les ubunteros :

    deb http://ppa.launchpad.net/swfdec-team/ppa/ubuntu karmic main

    Sinon la compilation à partir des dépôts.

    http://swfdec.freedesktop.org/wiki/

    J'utilise ce dépôt pour garder swfdec, le nouveau paquet en place se charge de désinstaller swfdec pour installer gnash à la place. Il intègre un plugin mozilla également, et pendant longtemps la méthode des plugins était de fouiller dans les plugins destinés à Firefox pour se les approprier.

    Lightspark progresse pas mal également, mais je sais pas si c'en est au stade utilisable ou non. Je crois que Lightspark utilise gnash pour les éléments Flash réalisés en Actionscript 1 et 2.

    http://lightspark.github.com/

    Avec tout ça, j'en ai oublié que tu ne veux pas de Flash…

    Pour Youtube, tu as essayé ça ? http://www.youtube.com/html5/?gl=FR&hl=fr

    Commentaire sous licence LPRAB - http://sam.zoy.org/lprab/

    • [^] # Re: swfdec, lightspark

      Posté par . Évalué à 2.

      Avec tout ça, j'en ai oublié que tu ne veux pas de Flash…

      Ben oui, voilà. C'est quand même ballot qu'il existe un remplacement qui fonctionne, qui est en place… mais que notre config ignore pour continuer d'utiliser le vieux flash du 20è siècle. Je me demande qui utilise la version HTML5. Les téléphones et tablettes, peut-être.

      Pour Youtube, tu as essayé ça ? http://www.youtube.com/html5/?gl=FR&hl=fr

      De mémoire, ça avait pas marché. Faudrait que je vérifie. Il semble qu'avec Midori, je dois le cliquer même si j'ai pas de plugin flash (c'est un peu con). Donc ça serait nécessaire, mais pas suffisant.

      • [^] # Re: swfdec, lightspark

        Posté par . Évalué à 4.

        Je me demande qui utilise la version HTML5. Les téléphones et tablettes, peut-être.

        Heu.. les gens qui n'ont pas installé Flash, aussi. Tu ne t'en souviens peut-être pas, mais tu as un jour décidé de l'installer. :)

        THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

        • [^] # Re: swfdec, lightspark

          Posté par . Évalué à 2.

          Ah ben oui, tout simplement. Tu as raison.

          Je n'ai pas vraiment décidé de l'installer, c'était par défaut dans Wheezy, il me semble. Mais j'ai décidé de le laisser, ce qui revient au même.

          • [^] # Re: swfdec, lightspark

            Posté par . Évalué à 4.

            Ça m'étonnerait qu'il soit par défaut sous Ubuntu, c'est pas Linux Mint. Par contre le navigateur Web propose de l'installer en deux clics, et faut aller dans about:config pour virer la demande de plugin.

            THIS IS JUST A PLACEHOLDER. YOU SHOULD NEVER SEE THIS STRING.

            • [^] # Re: swfdec, lightspark

              Posté par . Évalué à 2. Dernière modification le 03/05/12 à 13:04.

              Ça m'étonnerait qu'il soit par défaut sous Ubuntu, c'est pas Linux Mint.

              Je sais pas pour Ubuntu. Et je parle de Gnash, hein, pas du lecteur adobe.

              faut aller dans about:config pour virer la demande de plugin

              Tu veux dire pour supprimer le fait qu'il t'affiche "Il vous manque des plugins pour afficher cette page" ?

              Ce que j'aimerais trouver, c'est un réglage qui me permette de faire croire au site que je n'ai pas le lecteur. Un peu comme quand on fait passer son iceweasel pour un IE pour tromper certains tests.

              Je réalise qu'il y aurait quand même un inconvénient pour les sites qui pratiquent un test et excluent les navigateurs sans flash alors que dans la pratique gnash pourrait se dépatouiller. Mais ça doit être rare : ceux qui font ces tests ont plutôt des sites tout en flash et gnash ne s'en sort pas, ou bien leur test exclut gnash aussi. En tout cas c'est assez rare pour que je m'en foute.

              Peut-être faut-il que je m'oriente vers une solution propre à YT et DM. Mais je ne vois pas plus comment faire. Et c'est pas joli.

  • # Pistes

    Posté par (page perso) . Évalué à 3.

    • Pluggins Toggler permet visiblement de désactiver facilement tel ou tel plugin.
    • FlashVideoReplacer remplace les bidules Flash par les fichiers vidéo, ou redirige vers le lecteur HTML5 si disponible.
    • [^] # Re: Pistes

      Posté par . Évalué à 1.

      Merci.

      FlashVideoReplacer remplace les bidules Flash par les fichiers vidéo, ou redirige vers le lecteur HTML5 si disponible.

      Oui, c'est bien aussi de rediriger vers un lecteur video. Même encore mieux. L'inconvénient, c'est que ça ne fonctionne que pour les sites prévus par l'extension, et que ça cesse de fonctionner quand ils sont modifiés (c'était le cas avec YT récemment).

  • # Youtube

    Posté par (page perso) . Évalué à 3.

    Pour youtube, il est possible d'aller sur http://www.youtube.com/html5 pour devenir "volontaire" pour tester le player HTML5 (ça veut juste dire que c'est ce player qui va devenir le par défaut). Je ne serais pas surpris s'il y avait aussi un réglage de ce genre chez DailyMotion. Mais bon, ça reste une solution spécifique à chaque site.

    • [^] # Re: Youtube

      Posté par . Évalué à 1.

      La manip avec YT est nécessaire mais pas suffisante. Je ne crois pas qu'il y ait d'équivalent DM.

      Dans ma config,

      • avec FF les vidéos ne s'affichent jamais en HTML5

      • avec Midori, elles s'affichent toutes en HTML5 chez DM et seulement si j'ai cliqué sur ton lien chez YT

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.